package iot.ah.demo.core.sqlserver;
import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.datasource.DriverManagerDataSource;

@Configuration
public class DataSourceConfig {

    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private Environment env;

    @Value("com.sqlserver.jdbc.Driver")
    private String DB_DRIVER;

    private static String DB_USER = "iot_hosting_testdb_mssqlUser";

    private static String DB_LOGINPWD = "iot_hosting_testdb_mssqlPassword";

    private static String DB_URL = "iot_hosting_testdb_mssqlUrl";

    @Bean("sqlserver-datasource")
    DataSource dataSource(){
        DriverManagerDataSource dataSource = new DriverManagerDataSource();
        dataSource.setDriverClassName(DB_DRIVER);
        dataSource.setUrl(env.getProperty(DB_URL));
        dataSource.setUsername(env.getProperty(DB_USER));
        dataSource.setPassword(env.getProperty(DB_LOGINPWD));
        return dataSource;
    }

    @Bean(name = "sqlserver-jdbctemplate")
    JdbcTemplate jdbcTemplate(@Qualifier("sqlserver-datasource") DataSource dataSource){
        return new JdbcTemplate(dataSource);
    }

}

